Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface Types

All Superinterfaces:
  ExtensibleElement, java.io.Serializable, javax.wsdl.Types, WSDLElement

    public interface Types

extends ExtensibleElement, javax.wsdl.Types

A representation of the model object 'Types'.

Since:
  1.0
See Also:
  `WSDLPackage.getTypes()`

Method Summary
`java.util.List` | `getSchemas()` Returns a List of inline XSDSchema instances in this Types.
`java.util.List` | `getSchemas(java.lang.String namespaceURI)` Returns a List of inline XSDSchema instances in this Types.

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Types
`addExtensibilityElement, getDocumentationElement, getExtensibilityElements, setDocumentationElement`

Method Detail

### getSchemas

    java.util.List getSchemas()

  Returns a List of inline XSDSchema instances in this Types.

  Returns:
    List of XSDSchema instances.
  See Also:
    `XSDSchema`

### getSchemas

    java.util.List getSchemas(java.lang.String namespaceURI)

  Returns a List of inline XSDSchema instances in this Types. The targetNamespace of the schemas are the same as namespaceURI argument value.

  Parameters:
    `namespaceURI` - targetNamespace of the schemas to be searched for.
  Returns:
    List of XSDSchema instances.
  See Also:
    `XSDSchema`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD